---
type: api
title: Get the upgrade readiness status
description: Check the status of your cluster.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-get-upgrade-status
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-get-upgrade-status
products:
  - Kibana
---

# Get the upgrade readiness status

Availability:

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/upgrade_assistant/status`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

## Description

Check the status of your cluster.

## Response

Indicates a successful call.

## Code Examples

#### Console

```console
GET /api/upgrade_assistant/status
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/upgrade_assistant/status"
```

## Response Examples

#### Get upgrade status response example1

```json
{
  "readyForUpgrade": false,
  "cluster": [
    {
      "message": "Cluster deprecated issue",
      "details":"You have 2 system indices that must be migrated and 5 Elasticsearch deprecation issues and 0 Kibana deprecation issues that must be resolved before upgrading."
    }
  ]
}
```

